@import "theme"

+remove-margin-padding-title-and-p

#custom-file
    display: inline-flex
    word-wrap: break-word
    align-items: center

    min-width: 100px
    max-width: 300px

    margin: 10px 0

    font-weight: 300

    .text
        h5
            font-weight: 400
            font-size: 1.05em
            color: #9E9E9E

        span
            font-size: 0.8em

    .button-upload
        padding: 20px
        position: relative

        color: $foregroundColor
        background-color: $primaryColor

        line-height: 0
        font-weight: 300

        cursor: pointer

        &:hover
            background-color: $secondaryColor

        input
            +pos-absolute

            width: 0
            opacity: 0

            +remove-margin-padding

    > * + *
        margin-left: 10px

    strong
        font-weight: 400
